Tjar
  1. Orders
Tjar
  • Orders
    • List Orders
      GET
    • Get Order Details
      GET
    • Create Order
      POST
    • Change Order Status
      POST
    • Edit Order
      POST
  • Products
    • Products
      GET
    • Get Product Details
      GET
    • Create Product
      POST
  1. Orders

Edit Order

Developing
POST
/orders/{identifier}
Last modified:2026-02-19 18:58:59
This endpoint allows to edit order data like (Customer - Products - Shipping Address -Coupon), and can add extra notes.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Header Params

Body Params multipart/form-dataRequired

Responses

🟢200Success
application/json
Body

🟠422Validation Error
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/orders/666' \
--header 'Accept: application/json' \
--header 'Accept-Language: {{lang}}' \
--header 'Authorization: Bearer <token>' \
--form '_method="PUT"' \
--form 'customer[user_id]="28"' \
--form 'customer[different_recipient]="1"' \
--form 'customer[user_email_recipient]="customer@test.com"' \
--form 'customer[user_mobile_recipient]="056952888"' \
--form 'customer[user_recipient_name]="Test Customer"' \
--form 'shipping_address[address]="5-street, riyadh - saudi arabia"' \
--form 'shipping_address[country_id]="101"' \
--form 'shipping_address[city_id]="58"' \
--form 'shipping_address[zip_code]=""' \
--form 'shipping_address[shipping_id]="6"' \
--form 'products_to_add[0][id]="10"' \
--form 'products_to_add[0][quantity]="2"' \
--form 'products_to_add[0][variant_id]="5"' \
--form 'products_to_add[0][color_name]="Red"' \
--form 'products_to_add[0][size_name]="L"' \
--form 'products_to_add[0][product_options][0][name]="Warna"' \
--form 'products_to_add[0][product_options][0][type]="radio"' \
--form 'products_to_add[0][product_options][0][value]="Biru"' \
--form 'products_to_add[0][product_options][0][cost]="0"' \
--form 'products_to_add[1][id]="12"' \
--form 'products_to_add[1][quantity]="1"' \
--form 'products_to_add[1][is_booking]="1"' \
--form 'products_to_add[1][booking_date]="2026-03-01"' \
--form 'products_to_add[1][booking_start]="10:00"' \
--form 'products_to_add[1][booking_end]="11:00"' \
--form 'products_to_add[1][provider_id]="3"' \
--form 'products_to_remove[0]="15"' \
--form 'products_to_remove[1]="16"' \
--form 'coupon[action]="apply"' \
--form 'coupon[coupon_code="SAVE10"' \
--form 'add_note="Please prepare order carefully"'
Response Response Example
200 - Ok
{
    "status": "success",
    "message": "تم تحديث الطلب بنجاح",
    "data": {
        "id": 702,
        "identifier": 702,
        "order_id": "260702",
        "name": "Test Customer",
        "email": "customer@test.com",
        "phone": "96656952888",
        "address": null,
        "customer": {
            "id": 28,
            "name": "Tesss 3",
            "email": "testinggg17@gmail.com",
            "mobile": "966666666669",
            "avatar": "http://b56tf.store.test/assets/img/no-image.jpg"
        },
        "city": "التهيمية",
        "state": null,
        "country": "أيسلندا",
        "zipcode": null,
        "full_address": "التهيمية, أيسلندا",
        "total_amount": 10131,
        "formatted_total_amount": "10,131.00 <sar></sar>",
        "coupon": null,
        "coupon_discounted": 0,
        "status": {
            "value": "Pending",
            "label": {
                "ar": "قيد الانتظار",
                "en": "Pending"
            },
            "color": "warning"
        },
        "payment_status": {
            "value": "pending",
            "label": {
                "ar": "قيد الانتظار",
                "en": "Pending"
            },
            "color": "warning"
        },
        "payment_gateway": {
            "value": "tjar-pay",
            "label": {
                "ar": "Tjar Pay",
                "en": "Tjar Pay"
            }
        },
        "transaction_id": "tjar-pay::z7FZNEfAvz",
        "can_refund": false,
        "refund_url": null,
        "created_at": "2026-02-19 21:34:43",
        "updated_at": "2026-02-19 22:00:31"
    }
}
Modified at 2026-02-19 18:58:59
Previous
Change Order Status
Next
Products
Built with